### Struct

# Devhelp Link

#### Description

    struct DhLink {
      /* No available fields */
    }

No description available.

#### Constructors

###### dh_link_new

No description available.

###### dh_link_new_book

No description available.

since: 3.28

#### Instance methods

###### dh_link_belongs_to_page

This function permits to know if `link` belongs to a certain page.

since: 3.28

###### dh_link_compare

Compares the links `a` and `b`. This function is used to determine in which order the links should be displayed.

###### dh_link_get_book_id

No description available.

###### dh_link_get_book_title

No description available.

###### dh_link_get_flags

No description available.

###### dh_link_get_link_type

No description available.

###### dh_link_get_name

No description available.

###### dh_link_get_uri

Gets the `link` URI, by concateneting the book base path with the `link` relative URL.

###### dh_link_match_relative_url

No description available.

since: 3.28

###### dh_link_ref

Increases the reference count of `link`.

###### dh_link_set_flags

Sets the flags of the link.

###### dh_link_unref

Decreases the reference count of `link`.